package ru.myitschool.work.ui.main

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import ru.myitschool.work.R
import ru.myitschool.work.api.AccessLog

class AccessLogAdapter(private val accessLogs: List<AccessLog>) : RecyclerView.Adapter<AccessLogAdapter.AccessLogViewHolder>() {

    class AccessLogViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val scanTime: TextView = itemView.findViewById(R.id.scan_time)
        val readerId: TextView = itemView.findViewById(R.id.reader_id)
        val accessType: TextView = itemView.findViewById(R.id.access_type)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): AccessLogViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.item_access_log, parent, false)
        return AccessLogViewHolder(view)
    }

    override fun onBindViewHolder(holder: AccessLogViewHolder, position: Int) {
        val log = accessLogs[position]
        holder.scanTime.text = log.scanTime
        holder.readerId.text = log.readerId
        holder.accessType.text = log.accessType
    }

    override fun getItemCount(): Int {
        return accessLogs.size
    }
}